// Script for handling recipes


ServerEvents.recipes(event => {
    // Adding smelting recipes (being able to smelt things for ore back)
    event.smelting('minecraft:iron_nugget', 'minecraft:activator_rail')
    event.smelting('minecraft:iron_block', 'minecraft:anvil')
    event.smelting('minecraft:gold_ingot', 'minecraft:bell')
    event.smelting('minecraft:iron_ingot', 'minecraft:blast_furnace')
    event.smelting('minecraft:iron_nugget', 'minecraft:bucket')
    event.smelting('minecraft:iron_ingot', 'minecraft:cauldron')
    event.smelting('minecraft:iron_nugget', 'minecraft:chain')
    event.smelting('minecraft:iron_nugget', 'minecraft:crossbow')
    event.smelting('minecraft:iron_nugget', 'minecraft:detector_rail')
    event.smelting('minecraft:iron_nugget', 'minecraft:flint_and_steel')
    event.smelting('minecraft:iron_nugget', 'minecraft:heavy_weighted_pressure_plate')
    event.smelting('minecraft:iron_ingot', 'minecraft:hopper')
    event.smelting('minecraft:iron_nugget', 'minecraft:iron_bars')
    event.smelting('minecraft:iron_ingot', 'minecraft:iron_door')
    event.smelting('minecraft:iron_nugget', 'minecraft:soul_lantern')
    event.smelting('minecraft:iron_nugget', 'minecraft:lantern')
    event.smelting('minecraft:gold_nugget', 'minecraft:light_weighted_pressure_plate')
    event.smelting('minecraft:iron_ingot', 'minecraft:minecart')
    event.smelting('minecraft:iron_nugget', 'minecraft:sticky_piston')
    event.smelting('minecraft:iron_nugget', 'minecraft:piston')
    event.smelting('minecraft:gold_nugget', 'minecraft:powered_rail')
    event.smelting('minecraft:iron_nugget', 'minecraft:rail')
    event.smelting('minecraft:iron_nugget', 'minecraft:shears')
    event.smelting('minecraft:iron_nugget', 'minecraft:smithing_table')
    event.smelting('minecraft:iron_nugget', 'minecraft:stonecutter')
    event.smelting('minecraft:iron_nugget', 'minecraft:tripwire_hook')


    event.shaped(
        Item.of('minecraft:elytra', 1),
        [
            'SNS',
            'SDS',
            'S S'
        ],
        {
            S: 'kubejs:dragon_scale',
            N: 'minecraft:netherite_ingot',
            D: 'minecraft:dragon_breath'
        }
    )
})